DO $$
    DECLARE
        _path character varying(256) := 'patch-2026_03_11-Contacts_Timestamp';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 16702) THEN
            RETURN;
        END IF;

        BEGIN
 		ALTER TABLE public."Contacts" ADD column IF NOT exists "CreatedAt" timestamp without time zone DEFAULT timezone('utc', now());
		ALTER TABLE public."Contacts" ADD column IF NOT exists "Timestamp" timestamp without time zone DEFAULT timezone('utc', now());
		UPDATE public."Contacts" SET "CreatedAt" = NOW();
		UPDATE public."Contacts" SET "Timestamp" = NOW();

 

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;